Skip to main content
GET
/
v1
/
knowledge-gaps
/
clusters
/
{cluster_id}
/
lifecycle-events
Audit-trail of lifecycle transitions for a cluster
curl --request GET \
  --url https://api-sandbox.featherhq.com/v1/knowledge-gaps/clusters/{cluster_id}/lifecycle-events \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "gap_cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "from_status": "<string>",
      "to_status": "<string>",
      "actor_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "actor_type": "<string>",
      "reason": "<string>",
      "note": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123
}

Authorizations

x-api-key
string
header
required

Path Parameters

cluster_id
string<uuid>
required

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 200
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

items
LifecycleEventRow · object[]
required
total
integer
required